Message: Re: Compilation pb with QT Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Compilation pb with QT 

Forum: Installation and Configuration
Re: None Compilation pb with QT (Olivier Dadoun)
Date: 08 Jan, 2014
From: Olivier Dadoun <Olivier Dadoun>

Hello and happy new year to everybody !

After having unsintalled all the qt5 dependencies (and keeping all the existing qt4 libs),
 the compilation was ok until 98% where this error occurred:

... (lot of errors)
 static const double m2 = meter2;
                       ^
geant4.10.00/source/externals/clhep/include/CLHEP/Units/SystemOfUnits.h: In function ‘bool operator!=(const QMargins&, const QMargins&)’:
geant4.10.00/source/externals/clhep/include/CLHEP/Units/SystemOfUnits.h:94:23: warning: shadowed declaration is here [-Wshadow]
geant4.10.00/source/externals/clhep/include/CLHEP/Units/SystemOfUnits.h: In member function ‘QSize& QSize::operator+=(const QSize&)’:
geant4.10.00/source/externals/clhep/include/CLHEP/Units/SystemOfUnits.h:133:24: warning: shadowed declaration is here [-Wshadow]
   static const double  s = second;
                        ^
...(lot of errors)

Laurent suggested me to change /usr/include/qt4/QtOpenGL/qgl.h as described in http://hypernews.slac.stanford.edu/HyperNews/geant4/get/installconfig/1531/1/1/1.html

 I changed only line 88
# include <OpenGL/gl.h>
by
# include <OpenGL/glu.h>

and the compilation works perfectly :-)

cheers Olivier

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Compilation pb with QT   (Olivier Dadoun - 09 Jan, 2014)
 Add Message Add Message
to: "Re: Compilation pb with QT"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]